<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\TerminDirectAbrechnen;

class TerminAbrechnenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/terminabrechnen_bergische.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->success = $this->viewModel->success;
    $this->viewModel->kurs->abgesendet = $this->viewModel->isAbgesandt;
    $this->viewModel->kurs->ktids = $this->viewModel->kursTagIdsStr;
    $this->viewModel->kurs->bonus_kt_selbst_abrechnen = $this->viewModel->bonusKtSelbstAbrechnen;

    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurse();
  }

  protected function getBodyDataModulArray()
  {
    foreach ($this->viewModel->kurstage as $key => $kurstag) {
      $this->viewModel->kurstage[$key]->bonus_kt_selbst_abrechnen = $this->viewModel->bonusKtSelbstAbrechnen;
    }

    return $this->viewModel->kurstage;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpKurstage();
  }
}

class TerminAbrechnenViewModel
{
  public $kurs;
  public $kurstage;
  public $kursTagIdsStr;
  public $success;
  public $isAbgesandt;
  public $bonusKtSelbstAbrechnen;
}